﻿using System;
using System.Windows.Controls;

using GermanyRuTest.ViewModel;

namespace GermanyRuTest
{
    /// <summary>
    ///     Interaction logic for BackgroundUserControl.xaml
    /// </summary>
    public partial class BackgroundUserControl : UserControl
    {
        private readonly BackgroundUserControlVm _viewModel;

        /// <summary>
        /// Initializes a new instance of the <see cref="BackgroundUserControl"/> class.
        /// </summary>
        public BackgroundUserControl()
        {
            InitializeComponent();

            _viewModel = new BackgroundUserControlVm(mediaPlayer);
            _viewModel.ExecutionFinished += ViewModel_ExecutionFinished;
            DataContext = _viewModel;
        }

        ///// <summary>
        ///// Starts the action.
        ///// </summary>
        //public void StartAction()
        //{
        //    _viewModel.StartAction();
        //}

        private void ViewModel_ExecutionFinished(object sender, EventArgs e)
        {
            ItemsCombiner.Instance.ActionExecutionFinished();
        }
    }
}
/*
 http://www.wpf-tutorial.com/audio-video/playing-video/
 */