﻿using System.Windows;
using System.Windows.Controls;

using GermanyRuTest.ViewModel;

namespace GermanyRuTest
{
    /// <summary>
    /// Interaction logic for RulesUserControl.xaml
    /// </summary>
    /// <seealso cref="System.Windows.Controls.UserControl" />
    /// <seealso cref="System.Windows.Markup.IComponentConnector" />
    public partial class RulesUserControl : UserControl
    {
        private readonly RulesUserControlVm _viewModel;

        /// <summary>
        /// Initializes a new instance of the <see cref="RulesUserControl"/> class.
        /// </summary>
        public RulesUserControl()
        {
            _viewModel = new RulesUserControlVm();
            DataContext = _viewModel;
            InitializeComponent();
        }

        private void ButtonStartAction_OnClick(object sender, RoutedEventArgs e)
        {
            _viewModel.StartAction();
        }
    }
}