﻿using System.Windows;

namespace GermanyRuTest.ViewModel
{
    internal class DependencyObjectMediaElement : DependencyObject
    {
        public static readonly DependencyProperty PositionProperty = DependencyProperty.Register(
            "Position",
            typeof(long),
            typeof(DependencyObjectMediaElement),
            new PropertyMetadata(default(long), OnItemsPropertyChanged));
        public long Position
        {
            get
            {
                return (long)GetValue(PositionProperty);
            }
            set
            {
                SetValue(PositionProperty, value);
            }
        }

        private static void OnItemsPropertyChanged(DependencyObject d, DependencyPropertyChangedEventArgs e)
        {
            ButtonUserControl source = d as ButtonUserControl;
            // Do something...
        }
    }
}