﻿using System.Windows;
using System.Windows.Controls;

using GermanyRuTest.ViewModel;

namespace GermanyRuTest
{
    /// <summary>
    /// Interaction logic for ButtonUserControl.xaml
    /// </summary>
    /// <seealso cref="System.Windows.Controls.UserControl" />
    /// <seealso cref="System.Windows.Markup.IComponentConnector" />
    internal partial class ButtonUserControl : UserControl
    {
        //private readonly ButtonUserControlVm _viewModel;

        public ButtonUserControl()
        {
            // Note: pay attention that view model must not be assigned in code behind
            // because ItemsControl set DataContext automatically

            //_viewModel = new ButtonUserControlVm();
            //DataContext = _viewModel;

            InitializeComponent();
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            ButtonUserControlVm viewModel = (DataContext as ButtonUserControlVm);
            viewModel?.ButtonPressed();
        }
    }
}